Bug 193917 - RFE: add GNU source formatting configuration
RFE: add GNU source formatting configuration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
bzcl34nup
: EasyFix, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 17:57 EDT by Anthony Green
Modified: 2013-03-11 16:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 16:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 91770 None None None Never

  None (edit)
Description Anthony Green 2006-06-02 17:57:11 EDT
Description of problem:
Please ship the GNU source formatting style bits with Eclipse.  I think it used
to be there.  Here's a good source of what you need....

http://cvs.savannah.gnu.org/viewcvs/*checkout*/classpath/scripts/eclipse-gnu.xml?root=classpath&content-type=text%2Fplain

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.2-1jpp_15fc


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anthony Green 2006-07-19 14:02:51 EDT
I just upgraded to eclipse-platform-3.2.0-1jpp_3fc in rawhide and it's still not
there.  Would you like me to submit a patch for our eclipse SRPM?
Comment 2 Andrew Overholt 2006-07-19 17:41:00 EDT
That'd be great.  I believe it was removed at one point because it didn't apply
and we were in a rush but I'd love to see it there.
Comment 3 Ben Konrath 2006-11-22 16:16:28 EST
What we need to do here is create a patch to the SDK that will make a new
extension point for formatting configurations. This type of patch is more likely
to get accepted upstream and then we can just make a plugin that extends this
new extension point to add the GNU formatting configuration.
Comment 4 Ben Konrath 2007-02-06 14:41:28 EST
Changing to RFE.
Comment 5 Bug Zapper 2008-04-03 23:01:16 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Andrew Overholt 2008-04-04 09:31:13 EDT
It appears that an extension point for code formatters exists in at least 3.4
(which will be released in June).  We should write a small plugin to do that:

   <extension
         point="org.eclipse.jdt.core.codeFormatter">
      <codeFormatter
            class="TestExtensionPoints.codeFormatter1">
      </codeFormatter>
   </extension>

Implementing classes should implement org.eclipse.jdt.core.ICodeFormatter.

This would be a good task for someone interested in getting started with Eclipse
development.
Comment 7 John Poelstra 2008-04-10 19:01:15 EDT
changed version to 'rawhide' to keep alive from EOL closing process
Comment 8 Fedora Admin XMLRPC Client 2010-08-31 11:59:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Alexander Kurtakov 2013-03-11 16:14:21 EDT
CDT has a built-in GNU formatting configuration and JDT doesn't make much sense as it's Sun's convention being the standard.
As the CDT has a built-in one I'm closing the bug as fixed.

Note You need to log in before you can comment on or make changes to this bug.